www/p5-Dancer2 - The NetBSD Packages Collection

Lightweight yet powerful web application framework

Dancer2 is the new generation of Dancer, the lightweight web-framework
for Perl. Dancer2 is a complete rewrite based on Moo.

Build dependencies

devel/p5-Exporter-Tiny devel/p5-Test-Memory-Cycle time/p5-Test-MockTime net/p5-Test-TCP devel/p5-Test-Fatal devel/p5-File-ShareDir-Install www/p5-LWP-Protocol-PSGI pkgtools/cwrappers

Runtime dependencies

devel/p5-App-Cmd devel/p5-Capture-Tiny security/p5-Crypt-URandom devel/p5-Config-Any devel/p5-File-Share devel/p5-Hash-Merge-Simple www/p5-HTTP-Body www/p5-HTTP-Date www/p5-HTTP-Headers-Fast www/p5-HTTP-Message converters/p5-JSON converters/p5-JSON-MaybeXS devel/p5-Module-Pluggable devel/p5-Moo devel/p5-MooX-Types-MooseLike devel/p5-MooX-Types-MooseLike-Numeric www/p5-Plack www/p5-Plack-Middleware-FixMissingBodyInRedirect www/p5-Plack-Middleware-RemoveRedundantBody devel/p5-Ref-Util devel/p5-Return-MultiLevel devel/p5-Role-Tiny devel/p5-Safe-Isa textproc/p5-Template-Tiny www/p5-Template-Toolkit devel/p5-Type-Tiny www/p5-URI textproc/p5-YAML textproc/p5-YAML-LibYAML www/p5-libwww lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Dancer2-0.300003.tgz(NetBSD 9.0)
aarch64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
aarch64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
alpha:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
alpha:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
earmv6hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
earmv6hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
earmv6hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Dancer2-0.300000.tgz(NetBSD 8.0)
earmv7hf:p5-Dancer2-0.300003.tgz(NetBSD 8.0)
earmv7hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Dancer2-0.300000.tgz(NetBSD 9.0)
earmv7hf:p5-Dancer2-0.300003.tgz(NetBSD 9.0)
earmv7hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
i386:p5-Dancer2-0.300003.tgz(NetBSD 8.0)
i386:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
i386:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
i386:p5-Dancer2-0.300003.tgz(NetBSD 9.0)
i386:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
i386:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
mips64eb:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
powerpc:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
powerpc:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
powerpc:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
powerpc:p5-Dancer2-0.300003.tgz(NetBSD 9.0)
sparc64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
sparc64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
x86_64:p5-Dancer2-0.300003.tgz(NetBSD 8.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 8.0)
x86_64:p5-Dancer2-0.300003.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)
x86_64:p5-Dancer2-0.300004nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]